from adap_gl import AdapGL as agl
import math

class NormalDistri:
    def __init__(self):
        self.c = 1.0 / math.sqrt(2.0 * math.pi)

    def v(self, z):
        return self.c * math.exp(-0.5 * z * z)

n_func = NormalDistri()

gl = agl()

def cum_normal( z ):
    if z > 0.0:
        return 0.5 + gl.integral(0.0, z, n_func)
    elif z < 0.0:
        return 0.5 - gl.integral(z, 0.0, n_func)
    else:
        return 0.5

while True:
    s = input("z = ")
    try:
        z = float(s)
        p = cum_normal(z)
        print("P(x < %f) = %f"%(z, p))
    except:
        break

